# Copyright (c) 2005 Infrae. All rights reserved.
# See also LICENSE.txt

from Products.Silva.ExtensionRegistry import extensionRegistry
from Products.Silva.fssite import registerDirectory
from Products.SilvaMetadata.Compatibility import registerTypeForMetadata

from Products.SilvaFlexibleXML import install, document, report
from Products.SilvaFlexibleXML.silvaxml import xmlexport, xmlimport

from Products.PythonScripts.Utility import allow_module
allow_module('Products.SilvaFlexibleXML.error')

def initialize(context):

    extensionRegistry.register(
        'SilvaFlexibleXML', 'Silva Flexible XML', context, [],
        install, depends_on='Silva')

    context.registerClass(
        document.Document,
        constructors = (document.manage_addDocumentForm,
                        document.manage_addDocument),
        icon='www/silvadoc.gif'
        )
    
    context.registerClass(
        document.DocumentVersion,
        constructors = (document.manage_addDocumentVersionForm,
                        document.manage_addDocumentVersion),
       )

    extensionRegistry.addAddable('Silva Flexible XML Document', 0)

    context.registerClass(
        report.XSLTReport,
        constructors = (report.manage_addXSLTReportForm,
                        report.manage_addXSLTReport),
        icon='www/xsltreport.png'
        )

    extensionRegistry.addAddable('Silva Flexible XSLT Report', 0)
    
    registerDirectory('views', globals())

    registerTypeForMetadata(document.DocumentVersion.meta_type)
    registerTypeForMetadata(report.XSLTReport.meta_type)
    
    # new xml import/export
    xmlexport.initializeXMLExportRegistry()
    xmlimport.initializeXMLImportRegistry()
        

