# Copyright (c) 2005 Infrae. All rights reserved.
# See also LICENSE.txt

from AccessControl import ClassSecurityInfo
from Products.PageTemplates.PageTemplateFile import PageTemplateFile
from Globals import InitializeClass

# Silva
from Products.Silva import SilvaPermissions
from Products.Silva.helpers import add_and_edit

# SilvaFlexibleXML
from Products.SilvaFlexibleXML import documentbase

class Document(documentbase.XMLDocumentBase):
    security = ClassSecurityInfo()

    meta_type = "Silva Flexible XML Document"

    security.declareProtected(SilvaPermissions.View, 'public_xml')
    def public_xml(self):
        """Returns XML content.
        """
        version = self.get_viewable()
        self.REQUEST.RESPONSE.setHeader(
            'Content-Type', 'text/html;charset=utf-8')
        if version is None:
            return '<info>No XML published</info>'
        return version.get_xml_content()
        
InitializeClass(Document)

class DocumentVersion(documentbase.XMLDocumentVersionBase):
    security = ClassSecurityInfo()
    
    meta_type = "Silva Flexible XML Document Version"

InitializeClass(DocumentVersion)

manage_addDocumentForm = PageTemplateFile("www/documentAdd", globals(),
                                          __name__='manage_addDocumentForm')

def manage_addDocument(self, id, title, REQUEST=None):
    """Add an XML document."""
    documentbase.addHelper(self, Document, DocumentVersion, id, title, None)
    add_and_edit(self, id, REQUEST)
    return ''

# XXX fool zope so we can register version object so we can copy them
manage_addDocumentVersionForm = PageTemplateFile(
    'www/documentVersionAdd',
    globals(),
    __name__='manage_addDocumentVersionForm')

def manage_addDocumentVersion(self, id, REQUEST=None):
    pass
