<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns="http://www.w3.org/1999/xhtml">
    <xsl:output method="html" version="1.0" encoding="iso-8859-1" indent="yes"
        doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
    <xsl:strip-space elements="*"/>
    <xsl:template match="/">
        <html>
            <head>
                <title>
                    <xsl:value-of select="/brochure/title"/>
                </title>
                <link rel="stylesheet" type="text/css" href="++resource++featuresheet.css"/>
            </head>
            <body>
                <div class="brochurecontent">
                    <xsl:apply-templates select="brochure"/>
                </div>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="brochure">
        <div class="headline">
            <xsl:value-of select="headline"/>
        </div>
        <div class="byline">
            <xsl:value-of select="byline"/>
        </div>
        <div class="leadin">
            <xsl:value-of select="leadin"/>
        </div>
        <div class="description">
            <xsl:copy-of select="description/*"/>
        </div>
        <div class="sidebar">
            <xsl:apply-templates select="sidebar/box"/>
        </div>
        <div class="allfeatures">
            <xsl:apply-templates select="features/feature"/>
        </div>
    </xsl:template>
    <xsl:template match="feature">
        <div class="feature">
            <img src="images/{image}" style="float: left" height="128" width="128" alt="{title} Logo"/>
            <div class="featurecontent">
                <div class="heading">
                    <xsl:value-of select="title"/>
                </div>
                <p>
                    <xsl:value-of select="description"/>
                    <xsl:apply-templates select="morelink[text()]"/>
                    <xsl:apply-templates select="movielink[text()]"/>
                </p>
                <xsl:copy-of select="ul"/>
            </div>
        </div>
    </xsl:template>
    <xsl:template match="box">
        <div class="sidebarbox-title">
            <xsl:value-of select="title"/>
        </div>
        <xsl:copy-of select="content/*"/>
    </xsl:template>
    <xsl:template match="morelink">
        <span class="morelink">
            <a href="{.}">more...</a>
        </span>
    </xsl:template>
    <xsl:template match="movielink">
        <span class="movielink">
            <a href="http://www.infrae.com/movies/{.}" target="_{../title}">Demo 
            (Flash, MM:ssm, XX kb)</a>
        </span>
    </xsl:template>
</xsl:stylesheet>
